Subject: Re: [BEHAVE] What is the purpose to consider the non-standard IPv6address formats in NSP discovery using WKN?

From: [email-masked]
Date: Fri, 1 Jul 2011 10:33:56 +0800

I agree with Christian Huitema. We need not to standardize the non-standard thing.

Zhenqiang Li
2011-07-01 

-----Original Message-----
From: Christian Huitema 
Sent: 2011-07-01  05:27:19 
To:  [email-masked]; [email-masked]; [email-masked] 
Subject: RE: [BEHAVE] What is the purpose to consider the non-standard IPv6address formats in NSP discovery using WKN? 
 
> On the other hand, I don't see why a node should not attempt to detect non-standard NSP.

Detecting a non-standard NSP is only useful if the node understands how the nonstandard addresses are built, which presumably requires a bit more than simple pattern matching.

I think it would be simpler to place the non-standard NSP as firmly out of scope for the "standard" discovery draft. You can always add a simple paragraph, something like

"Developers MAY over time learn on IPv6 translated address format that are extensions or alternatives to the standard formats. They MAY at that point add additional steps to the proposed discovery procedures. These additional steps are outside the scope of the present document."

-- Christian Huitema